-- name: [PET] Sonic Adventure Chao Mod
-- description: Adds Chao!
if not _G.wpets then return end

local NCHAO_M_WPET = smlua_model_util_get_id('Normal_Chao_No_Expression')
local TCHAO_M_WPET = smlua_model_util_get_id('tails_chao_wpet_geo')
local TCHAO_M_WithFace_WPET = smlua_model_util_get_id('tails_chao_with_face_wpet_geo')
local Amy_Chao_M_WPET = smlua_model_util_get_id('Amy_Chao_Geo')
local Knuckles_Chao_M_WPET =  smlua_model_util_get_id('Knuckles_Chao_Wpet_geo')
local  N_Chaos_Chao_M_WPET = smlua_model_util_get_id('Normal_Chaos_Chao_Geo')
local HCHAO_M_WPET = smlua_model_util_get_id('hero_chao_geo')

local Normal_Chao_WPET = _G.wpets.add_pet({
	name = "Normal Chao", credit = "AliceSacco, Sega, ThePlayerRolo",
	description = "Take care of this normal chao well!",
	modelID = NCHAO_M_WPET,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_wing(Normal_Chao_WPET)

_G.wpets.set_pet_sounds(Normal_Chao_WPET, {
	spawn = 'Chao-hi.ogg',
	happy = 'Chao-Dance.ogg',
	vanish = 'Chao-hi.ogg',
	step = {'WalkActuall.ogg', 'Chao Sound Effect 1.ogg', 'Chao Sound Effect 3.ogg', 'Chao Sound Effect 2.ogg'}
})
local TCHAO_WPET = _G.wpets.add_pet({
	name = "Tails Chao", credit = "Models Resource, Sega, ThePlayerRolo",
	description = "No need to worry about this chao being unlockable today.",
	modelID = TCHAO_M_WPET,
	scale = 1.0, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_wing(TCHAO_WPET)

_G.wpets.set_pet_sounds(TCHAO_WPET, {
	spawn = 'Chao-hi.ogg',
	happy = 'Chao-Dance.ogg',
	vanish = 'Chao-hi.ogg',
	step = SOUND_OBJ_BOBOMB_WALK
})
local TCHAO_WF_WPET = _G.wpets.add_pet({
	name = "Tails Chao (with mouth)", credit = "Models Resource, Sega, ThePlayerRolo",
	description = "No need to worry about this chao being unlockable today.",
	modelID = TCHAO_M_WithFace_WPET,
	scale = 1.0, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_wing(TCHAO_WF_WPET)

_G.wpets.set_pet_sounds(TCHAO_WF_WPET, {
	spawn = 'Chao-hi.ogg',
	happy = 'Chao-Dance.ogg',
	vanish = 'Chao-hi.ogg',
	step = SOUND_OBJ_BOBOMB_WALK
})
local Amy_Chao_WPET = _G.wpets.add_pet({
	name = "Amy Chao", credit = "Models Resource, Sega, ThePlayerRolo",
	description = "What a happy chao!",
	modelID = Amy_Chao_M_WPET,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_wing(Amy_Chao_WPET)

_G.wpets.set_pet_sounds(Amy_Chao_WPET, {
	spawn = 'Chao-hi.ogg',
	happy = 'Chao-Dance.ogg',
	vanish = 'Chao-hi.ogg',
	step = {'WalkActuall.ogg', 'Chao Sound Effect 1.ogg', 'Chao Sound Effect 3.ogg', 'Chao Sound Effect 2.ogg'}
})


local Knuckles_Chao_WPET = _G.wpets.add_pet({
	name = "Knuckles Chao", credit = "Models Resource, Sega, ThePlayerRolo",
	description = "He doesn't chuckle but instead flexes his small muscles.",
	modelID = Knuckles_Chao_M_WPET,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_wing(Knuckles_Chao_WPET)

_G.wpets.set_pet_sounds(Knuckles_Chao_WPET, {
	spawn = 'Chao-hi.ogg',
	happy = 'Chao-Dance.ogg',
	vanish = 'Chao-hi.ogg',
	step = {'WalkActuall.ogg', 'Chao Sound Effect 1.ogg', 'Chao Sound Effect 3.ogg', 'Chao Sound Effect 2.ogg'}
})

local N_Chaos_Chao_WPET = _G.wpets.add_pet({
	name = "Neutral Chaos  Chao", credit = "Models Resource, Sega, ThePlayerRolo",
	description = "Aw look at the little chaos.",
	modelID = N_Chaos_Chao_M_WPET,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_wing(N_Chaos_Chao_WPET)

_G.wpets.set_pet_sounds(N_Chaos_Chao_WPET, {
	spawn = 'Chao-hi.ogg',
	happy = 'Chao-Dance.ogg',
	vanish = 'Chao-hi.ogg',
	step = {'WalkActuall.ogg', 'Chao Sound Effect 1.ogg', 'Chao Sound Effect 3.ogg', 'Chao Sound Effect 2.ogg'}
})
local HCHAO_WPET = _G.wpets.add_pet({
	name = "Hero Chao", credit = "Sega, ThePlayerRolo",
	description = "Don't bring him around Eggman. He will fight.",
	modelID = HCHAO_M_WPET,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_wing(HCHAO_WPET)

_G.wpets.set_pet_sounds(HCHAO_WPET, {
	spawn = 'Chao-hi.ogg',
	happy = 'Chao-Dance.ogg',
	vanish = 'Chao-hi.ogg',
	step = {'WalkActuall.ogg', 'Chao Sound Effect 1.ogg', 'Chao Sound Effect 3.ogg', 'Chao Sound Effect 2.ogg'}
})
local HCHAO_WPET_FLY = _G.wpets.add_pet({
	name = "Hero Chao (Fly)", credit = "Sega, ThePlayerRolo",
	description = "Don't bring him around Eggman. He will fight.",
	modelID = HCHAO_M_WPET,
	scale = 1.0, yOffset = 0, flying = true
})

_G.wpets.set_pet_anims_wing(HCHAO_WPET_FLY)

_G.wpets.set_pet_sounds(HCHAO_WPET_FLY, {
	spawn = 'Chao-hi.ogg',
	happy = 'Chao-Dance.ogg',
	vanish = 'Chao-hi.ogg',
	step = {'WalkActuall.ogg', 'Chao Sound Effect 1.ogg', 'Chao Sound Effect 3.ogg', 'Chao Sound Effect 2.ogg'}
})